Bug 146842 - All pages are empty/white when printing (skia, macOS only)
Summary: All pages are empty/white when printing (skia, macOS only)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
7.3.0.1 rc
Hardware: x86-64 (AMD64) macOS (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: reproduceable testcase
Keywords:
: 146465 147158 147263 147329 147355 147405 147429 147443 147461 147471 147478 147587 147601 147689 147695 147703 147711 147737 147848 147851 (view as bug list)
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2022-01-18 17:29 UTC by Stefan
Modified: 2022-06-26 14:24 UTC (History)
36 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
2022-01-19 nightly build reproduced normal mode, gone in safe mode (372.88 KB, image/png)
2022-01-18 23:25 UTC, steve
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan 2022-01-18 17:29:38 UTC
Description:
Since Version 7.3.0.1 incl. latest 7.3.0.2 in printing dialog and while printing all pages are empty/white.
All Versions before and incl. 7.2.5.2 work as expected.

Steps to Reproduce:
1. Open print dialog
2. print
3.

Actual Results:
Empty/white pages.

Expected Results:
Printing content. ;)


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US, de-DE
Module: Print, TextDocument, Calc, Impress, Draw
[Information guessed from browser]
OS: macOS 12.1
OS is 64bit: yes
Comment 1 steve 2022-01-18 17:51:25 UTC
I noticed the same today with todays nightly build on macOS 11.6.2 → NEW
7.2.5.2 working as expected. Adding keyword regression.
Comment 2 m.a.riosv 2022-01-18 19:22:26 UTC
I have not seen this issue with:
Version: 7.3.0.1 (x64) / LibreOffice Community
Build ID: 840fe2f57ae5ad80d62bfa6e25550cb10ddabd1d
CPU threads: 4; OS: Windows 10.0 Build 21390; UI render: Skia/Vulkan; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL

Please test with a clean profile, Menu/Help/Restart in Safe Mode
And wait for someone else to confirm the bug.
Comment 3 steve 2022-01-18 23:25:22 UTC
Strangely enough, while I was able to reliably reproduce with todays nightly build, restarting in safe mode brings back print preview.

Closing and reopening LO in normal mode brings back the problem. What do we make of that? It is still a problem and still reproducible with 

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 5db574727f4564238a54159a1a0673eaa2884b69
CPU threads: 8; OS: Mac OS X 10.16; UI render: Skia/Raster; VCL: osx
Locale: de-DE (en_DE.UTF-8); UI: en-US
Calc: threaded
Comment 4 steve 2022-01-18 23:25:54 UTC
Created attachment 177641 [details]
2022-01-19 nightly build reproduced normal mode, gone in safe mode
Comment 5 Martin Srebotnjak 2022-01-19 23:13:13 UTC
I can confirm this with 7.3.0.2 on macOS.
Comment 6 Martin Srebotnjak 2022-01-19 23:14:13 UTC
Since not being able to print from an office suite is a major problem for LO, I am setting this to high/major importance.
Comment 7 Martin Srebotnjak 2022-01-21 19:53:46 UTC
Since RC3 is scheduled next week and that is supposed to be a final build for 7.3 - isn't this a blocker for macOS?
Comment 8 Xisco Faulí 2022-01-24 11:43:04 UTC
I can't reproduce it in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 4683eaa6f92db03bd0a6ecd401ded51131db7ae6
CPU threads: 8; OS: Mac OS X 11.6.2; UI render: Skia/Metal; VCL: osx
Locale: en-US (en_ES.UTF-8); UI: en-US
Calc: threaded

Print preview works and printing to file too
Comment 9 Martin Srebotnjak 2022-01-24 11:53:17 UTC
I want to expand the description of the bug with LO73RC2 on macOS: it happens not only in Writer, but I can confirm it also in Calc and Impress, probably this is the same for all the modules. Print Preview also does not work.

Also, if this helps - the PDF export works and does not exhibit same problem.

Since LO73 will be shipping in 8 days - shouldn't we raise the severity of the bug to highest/critical?

Or is it OK to ship LO73 without printing on macOS?
Comment 10 Xisco Faulí 2022-01-24 12:24:53 UTC
Not reproducible in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 4683eaa6f92db03bd0a6ecd401ded51131db7ae6
CPU threads: 8; OS: Mac OS X 11.6.2; UI render: default; VCL: osx
Locale: en-US (en_ES.UTF-8); UI: en-US
Calc: threaded

either.

@Steve, @Martin, do you reproduce it if you disable SKIA?
Comment 11 Xisco Faulí 2022-01-24 12:26:14 UTC
Print preview is also fine with

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 4683eaa6f92db03bd0a6ecd401ded51131db7ae6
CPU threads: 8; OS: Mac OS X 11.6.2; UI render: Skia/Raster; VCL: osx
Locale: en-US (en_ES.UTF-8); UI: en-US
Calc: threaded
Comment 12 Xisco Faulí 2022-01-24 12:27:17 UTC
@Martin, please share the information from About LibreOffice dialog
Comment 13 Martin Srebotnjak 2022-01-24 20:11:07 UTC
@Xisco I can confirm that by disabling Skia the print preview and printing works with LO73RC2.

This is the info from the About dialog when printing *doesn't* work (i.e. with Skia enabled):
Version: 7.3.0.2 / LibreOffice Community
Build ID: f1c9017ac60ecca268da7b1cf147b10e244b9b21
CPU threads: 4; OS: Mac OS X 10.16; UI render: Skia/Metal; VCL: osx
Locale: sl-SI (sl_SI.UTF-8); UI: sl-SI
Calc: threaded
Comment 14 steve 2022-01-25 11:43:12 UTC
still 100% reproducible with
Use Skia for all rendering (enabled)
Force Skia software rendering (enabled)

or

Use Skia for all rendering (enabled)
Force Skia software rendering (disabled)

which is still inconsistent with about dialog and by that unnecessarily confusing: https://bugs.documentfoundation.org/show_bug.cgi?id=144330

Both options result in a blank print preview and also a blank printout.

My stance on new features available in UI is, they should be working when making them available to end users in stable branch. Until then I consider them experimental / under development. This is clearly the case with the current state of moving to skia on macOS and yet the feature is available in UI without any warning.
Comment 15 Xisco Faulí 2022-01-25 14:04:02 UTC
Hi Luboš Luňák,
do you reproduce this on your end ?
Steve tried to bisect it and he can reproduce it back to the moment when skia got enabled on mac
Comment 16 Xisco Faulí 2022-01-27 14:58:27 UTC
let's increase importance for more visibility
Comment 17 José Luís Andrade 2022-01-28 18:39:36 UTC
I can confirm this with 7.3.0.3 on macOS (12.2, Intel).
Comment 18 Luboš Luňák 2022-02-02 12:14:22 UTC
I cannot reproduce the preview problem. Printing to file does not create any file for me, but that's also the case with Skia disabled.
Comment 19 Luboš Luňák 2022-02-02 12:17:09 UTC
*** Bug 146465 has been marked as a duplicate of this bug. ***
Comment 20 Kevin Suo 2022-02-02 14:51:43 UTC
I am mentioning this bug in the Chinese version of LibreOffice 7.3 press release as a "known issue". Just want to know, does it print any valid pages (rather than blank) when you do actual printing (on papers, rather than print-to-file)?
Comment 21 Xisco Faulí 2022-02-03 14:52:12 UTC
SKIA was disabled by default in libreoffice-7-3 branch < https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-7-3&id=290957ad1383565c97201360defdeae9ae5ef502 >
Reducing importance for the time being
Comment 22 Buovjaga 2022-02-03 14:56:25 UTC
*** Bug 147158 has been marked as a duplicate of this bug. ***
Comment 23 Sciuriware 2022-02-04 14:35:21 UTC
LibO 7.3.0 on Big Sur 11.6.3: only empty pages printing to a CANON MB2700.
Never seen this before in any intermediate release.
;JOOP!
Comment 24 Uwe Altmann 2022-02-07 14:52:04 UTC
Obviously, this one has found his way to release - where skia is enabled by default. From "About":

Version: 7.3.0.3 / LibreOffice Community
Build ID: 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
CPU threads: 4; OS: Mac OS X 10.15.7; UI render: Skia/Metal; VCL: osx
Locale: de-DE (de_DE.UTF-8); UI: de-DE
Calc: threaded

Deactivating Skia helps.
Comment 25 Buovjaga 2022-02-07 17:20:59 UTC
*** Bug 147263 has been marked as a duplicate of this bug. ***
Comment 26 Aron Budea 2022-02-07 17:29:59 UTC
Those who can reproduce, and haven't shared the following details, please do so:
- macOS version,
- Mac model,
- whether the bug is showing in a print preview, printing using a PDF writer, or with different steps that don't require the presence of a physical printer or printing.

In addition, if someone could do a bibisect, that'd be helpful.
General info: https://wiki.documentfoundation.org/QA/Bibisect
Mac-specific info: https://wiki.documentfoundation.org/QA/Bibisect/macOS
(likely can be done with repository bibisect-mac64-7.3)
Comment 27 Uwe Altmann 2022-02-07 18:37:21 UTC
- macOS version: 10.15.7
- Mac model: MacBook Air (13-inch, 2017)
- whether the bug is showing in a print preview, printing using a PDF writer, or with different steps: Shows in print preview, in PDF generated out of (Mac OS standard-) printing Dialog as well as on printed page (=white).
Comment 28 Sciuriware 2022-02-09 08:31:43 UTC
(In reply to Aron Budea from comment #26)
> Those who can reproduce, and haven't shared the following details, please do
> so:
> - macOS version,
> - Mac model,
> - whether the bug is showing in a print preview, printing using a PDF
> writer, or with different steps that don't require the presence of a
> physical printer or printing.
> 
> In addition, if someone could do a bibisect, that'd be helpful.
> General info: https://wiki.documentfoundation.org/QA/Bibisect
> Mac-specific info: https://wiki.documentfoundation.org/QA/Bibisect/macOS
> (likely can be done with repository bibisect-mac64-7.3)

Hardware: iMac27 Retina 5K, late 2014, 32Gb / 3.25Tb,
Software: macOS BigSur 11.6.3
LibO:     7.3.0.3, build 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
Results:
- print all: empty pages, preview empty, save as PDF: OK, printable
- print selection: empty page, preview empty, save as PDF: OK, printable
- print to PDF: empty pages.

Although print via export to PDF is a solution, I revert to 7.2.5
;JOOP!
Comment 29 Wim M 2022-02-09 13:55:44 UTC
Also confirming this on the release version of 7.3.0 on Monterey. It only occurs with Skia enabled in both hardware and software modes. Even with Skia enabled, PDF printing does work. Only Print Preview is empty.

About information: 

Version: 7.3.0.3 / LibreOffice Community
Build ID: 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
CPU threads: 8; OS: Mac OS X 10.16; UI render: Skia/Metal; VCL: osx
Locale: en-GB (en_GB.UTF-8); UI: en-GB
Calc: threaded

macOS version: 12.2

Hardware:
MacBook Pro (Retina, 15-inch, Mid 2015); 2.5 GHz Quad-Core Intel Core i7
Comment 30 Julehti 2022-02-09 19:03:32 UTC
I have found out the same issue with LO 7.3.0.3 Calc (Mac Os 10.15.7 Catalina). Trying to print I see only blank page. I had to export the document or a part of it into PDF-file. Then I can open this file with Preview app and print it.
Comment 31 Alex Thurgood 2022-02-10 11:33:05 UTC
*** Bug 147329 has been marked as a duplicate of this bug. ***
Comment 32 m.a.riosv 2022-02-11 09:04:10 UTC
*** Bug 147355 has been marked as a duplicate of this bug. ***
Comment 33 Buovjaga 2022-02-11 20:35:25 UTC
FYI: Skia will no longer be active on macOS by default in 7.3.1, which will be released in a few weeks: https://wiki.documentfoundation.org/ReleasePlan/7.3#7.3.1_release
Comment 34 Xisco Faulí 2022-02-14 09:29:26 UTC
*** Bug 147405 has been marked as a duplicate of this bug. ***
Comment 35 Sciuriware 2022-02-14 11:29:42 UTC Comment hidden (obsolete)
Comment 36 Buovjaga 2022-02-15 07:54:37 UTC
*** Bug 147429 has been marked as a duplicate of this bug. ***
Comment 37 Buovjaga 2022-02-15 07:58:24 UTC Comment hidden (obsolete)
Comment 38 Sciuriware 2022-02-15 10:20:18 UTC
(In reply to Buovjaga from comment #37)
> (In reply to Joop Lanting from comment #35)
> > Can you please explain to me why SKIA is so important?
> > Does it improve screen quality?
> > Is it mandatory for future hardware?
> > Can I do without?
> 
> It improves the performance of rendering graphics and the user interface. It
> supports offloading work to the graphics processing unit of your computer.

Thanks, that's clear: no show stopper.
;JOOP!
Comment 39 Alex Thurgood 2022-02-15 16:53:38 UTC
*** Bug 147443 has been marked as a duplicate of this bug. ***
Comment 40 Tino Hendricks 2022-02-16 11:32:53 UTC
Confirmed with

About information: 

Version: 7.3.0.3 / LibreOffice Community
Build ID: 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
CPU threads: 8; OS: Mac OS X 12.1; UI render: Skia/Metal; VCL: osx
Locale: de-DE (de_DE.UTF-8); UI: en-US
Calc: threaded

Hardware:
MacBook Pro (14-inch, 2021); M1 Pro
Comment 41 Tino Hendricks 2022-02-16 11:37:48 UTC
Printing works like a charm with

Version: 7.3.1.1 / LibreOffice Community
Build ID: 349cd3ad57dce98d6b54b76f8e9f456ac7d7edb7
CPU threads: 8; OS: Mac OS X 12.1; UI render: default; VCL: osx
Locale: de-DE (de_DE.UTF-8); UI: en-US
Calc: threaded
Comment 42 Buovjaga 2022-02-16 13:08:40 UTC
*** Bug 147461 has been marked as a duplicate of this bug. ***
Comment 43 Eike Rathke 2022-02-16 19:54:38 UTC
*** Bug 147471 has been marked as a duplicate of this bug. ***
Comment 44 Timur 2022-02-19 15:50:08 UTC
*** Bug 147478 has been marked as a duplicate of this bug. ***
Comment 45 m.a.riosv 2022-02-22 22:05:05 UTC
*** Bug 147601 has been marked as a duplicate of this bug. ***
Comment 46 m.a.riosv 2022-02-22 22:06:03 UTC
*** Bug 147587 has been marked as a duplicate of this bug. ***
Comment 47 Matthias Wilde 2022-02-25 11:59:13 UTC
Observed the same serious issue today with LO 7.3.0.3 on my macbook having "High Sierra" Version 10.13.6 installed.
I followed all the hints but couldn't get this Version to print with content even using PDF as print output shows only blank pages. The printer Dialog shows also empty pages:
- started LO in safe mode and reset all to factory settings, didn't help except i could print in safe mode only!
- removed LO completely and also the profile folder and reinstalled --> same as before, only blank pages

Again removed all and installed previous Version 7.2.5.2. With this Version i can print content again!

So this is a (new) bug in LO 7.3
Comment 48 Kevin Suo 2022-02-25 12:15:53 UTC
(In reply to Matthias Wilde from comment #47)
Skia is disabled in 7.3.1 which will be released very soon. If you can not wait, then you can download and install the pre-release 7.3.1.2 version from
https://dev-builds.libreoffice.org/pre-releases/mac/
Comment 49 jefftucker1952 2022-02-25 12:21:08 UTC
(In reply to Matthias Wilde from comment #47)
> Observed the same serious issue today with LO 7.3.0.3 on my macbook having
> "High Sierra" Version 10.13.6 installed.

On my old Macbook (Big Sur), the quick fix was to de-select "LO > Preferences > View > Use Skia for all rendering."
Comment 50 Buovjaga 2022-02-28 07:55:06 UTC
*** Bug 147689 has been marked as a duplicate of this bug. ***
Comment 51 Buovjaga 2022-02-28 14:54:08 UTC
*** Bug 147695 has been marked as a duplicate of this bug. ***
Comment 52 m.a.riosv 2022-02-28 23:00:54 UTC
*** Bug 147703 has been marked as a duplicate of this bug. ***
Comment 53 Buovjaga 2022-03-01 11:28:22 UTC
*** Bug 147711 has been marked as a duplicate of this bug. ***
Comment 54 Matthias Wilde 2022-03-02 11:34:11 UTC
(In reply to jefftucker1952 from comment #49)
> (In reply to Matthias Wilde from comment #47)
> > Observed the same serious issue today with LO 7.3.0.3 on my macbook having
> > "High Sierra" Version 10.13.6 installed.
> 
> On my old Macbook (Big Sur), the quick fix was to de-select "LO >
> Preferences > View > Use Skia for all rendering."

Thanks jefftucker, this works for me also.
Comment 55 Christian Helmreich 2022-03-02 11:40:55 UTC
(In reply to Matthias Wilde from comment #54)
> (In reply to jefftucker1952 from comment #49)
> > (In reply to Matthias Wilde from comment #47)
> > > Observed the same serious issue today with LO 7.3.0.3 on my macbook having
> > > "High Sierra" Version 10.13.6 installed.
> > 
> > On my old Macbook (Big Sur), the quick fix was to de-select "LO >
> > Preferences > View > Use Skia for all rendering."
> 
> Thanks jefftucker, this works for me also.

Thanks, problem solved.
Comment 56 m.a.riosv 2022-03-02 21:41:23 UTC
*** Bug 147737 has been marked as a duplicate of this bug. ***
Comment 57 m.a.riosv 2022-03-08 21:59:32 UTC
*** Bug 147848 has been marked as a duplicate of this bug. ***
Comment 58 Eike Rathke 2022-03-09 13:27:41 UTC
*** Bug 147851 has been marked as a duplicate of this bug. ***
Comment 59 Julien Nabet 2022-03-09 20:36:44 UTC
With https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-7-3&id=290957ad1383565c97201360defdeae9ae5ef502 and since it's confirmed it's fixed after having disabled Skia on MacOs, should we put this to fixed and put target 7.3.1 ?
I mean what's the use to let it opened?
Comment 60 Aron Budea 2022-03-10 05:11:56 UTC
(In reply to Julien Nabet from comment #59)
> I mean what's the use to let it opened?
I presume the bug still occurs when Skia is enabled (manually) on affected systems, and would need fixing at some point so Skia can be enabled by default again.
Comment 61 Xisco Faulí 2022-03-10 09:46:13 UTC
(In reply to Julien Nabet from comment #59)
> With
> https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-7-
> 3&id=290957ad1383565c97201360defdeae9ae5ef502 and since it's confirmed it's
> fixed after having disabled Skia on MacOs, should we put this to fixed and
> put target 7.3.1 ?
> I mean what's the use to let it opened?

it's still reproducible in master or when skia is enabled
Comment 62 jefftucker1952 2022-03-10 11:30:37 UTC
This should remain open because disabling Skia is not a fix - it's just a workaround. Print preview and print in LO should behave properly whether it's enabled or not.
Comment 63 Sciuriware 2022-03-10 11:40:51 UTC
Right!
;JOOP!
Comment 64 Julien Nabet 2022-03-10 12:12:45 UTC
Ok hope Skia is compatible with MacOs.
Comment 65 Xisco Faulí 2022-04-12 08:35:09 UTC
I don't think this should be considered a regression
Comment 66 José Luís Andrade 2022-04-26 13:43:10 UTC
I can confirm this bug with LibreOffice 7.3.3.1 on macOS (12.3.1, Intel)
Comment 67 Luboš Luňák 2022-06-16 17:16:07 UTC
Can somebody reproduce this without a physical printer? What are the exact steps to reproduce?
Comment 68 David W 2022-06-16 17:20:53 UTC
Way back when I first saw this, it was apparent both in the preview window, or if I did a "Save as PDF."
Comment 69 jefftucker1952 2022-06-16 18:14:48 UTC
(In reply to Luboš Luňák from comment #67)
> Can somebody reproduce this without a physical printer? What are the exact
> steps to reproduce?

LibreOffice 7.3.4.2, macOS 11.6.6 (my Macbook Air has "aged out" of further OS updates). LibreOffice > Preferences > LibreOffice > View, choose Use Skia for all rendering, and restart LibreOffice.

Open any document - Writer, Calc, take your pick. Choose Print. The preview window is blank. If you Save as PDF, the PDF is a blank page. No physical printer is needed.
Comment 70 indigo51 2022-06-23 10:56:49 UTC
I was wondering about empty pages or no printer response at all.

found this workaround/bug:
libreoffice draw does not print image when page is setup as landscape.
Setting page to portrait and rotating image the printing works.
libreoffice writer behaves the same. Tested with png and jpg files.
OPEN CL is not used.

LO Version: 7.0.4.2
CPU-Threas:2 OS:Linux (Antix 32bit)
UI render: default; VCL: gtk3
LOCALE DE:(UTF-8)
debian package version: 1:7.0.4-4+deb11u1

Documents are exportable to pdf; xpdf shows correct on display.
but prints blank pages regardless of orientiention. xpdf works correctly on other pdf. 


System:
Kernel: 4.9.0-279-antix.1-486-smp arch: i686 bits: 32 compiler: gcc v: 10.2.1
Memory:
  RAM: total: 1.97 GiB used: 1.06 GiB (53.7%)
  RAM Report: permissions: Unable to run dmidecode. Root privileges required.
PCI Slots:
  Permissions: Unable to run dmidecode. Root privileges required.
Comment 71 Martin Srebotnjak 2022-06-23 11:32:15 UTC
I can confirm this bug, even with 7.4 beta1 release.
With beta1 release I even see this bug without skia enabled.

So, please stop marking this bug as unconfirmed etc.!
Comment 72 Xisco Faulí 2022-06-23 11:38:41 UTC
(In reply to Martin Srebotnjak from comment #71)
> I can confirm this bug, even with 7.4 beta1 release.
> With beta1 release I even see this bug without skia enabled.
> 
> So, please stop marking this bug as unconfirmed etc.!

What about a master build from https://dev-builds.libreoffice.org/daily/master/ containing https://cgit.freedesktop.org/libreoffice/core/commit/?id=8a5beccc19b4fdffb7b82ba5fd26f4cf316d9811
Comment 73 steve 2022-06-26 14:22:04 UTC
https://bugs.documentfoundation.org/show_bug.cgi?id=146842#c14 states skia is a requirement to reproduce this bug.

1. enable LibreOffice > Preferences > View > Graphics Output > Use Skia for all rendering
2. restart to apply
3. create writer document with the word `test`
4. cmd+p to open print dialog

**Currently**
Blank print preview

**Expected**
Print preview to show the actual document content

100 % reproducible in today main build. Sadly can't even copy paste about info since there is no way to disable Skia now that the UI is not shown correctly and mouse pointer is off quite a bit.
Comment 74 steve 2022-06-26 14:24:26 UTC
Managed to tab through preferences dialog and disable Skia with space key, so able to provide about info:

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 8b82a71013567e148166b514d0ce0f5905f5a3e3
CPU threads: 8; OS: Mac OS X 12.4; UI render: default; VCL: osx
Locale: de-DE (en_DE.UTF-8); UI: en-US
Calc: threaded